# PiperCI Cookiecutter (Default)

## Table of Contents

* [Getting-Started](#getting-started)
* [Prerequisites](#prerequisites)
* [Usage](#usage)
* [Contributing](#contributing)
* [Versioning](#versioning)
* [Authors](#authors)
* [License](#license)

## Getting Started

This project defines a default project template for use with the PiperCI ecosystem.

## Prerequisites

Cookiecutter must be installed

```shell
pip install cookiecutter
```

## Usage

Invoke `cookiecutter` in the desired directory and answer the prompts

```shell
cookiecutter https://gitlab.com/dreamer-labs/piperci/piperci-cookiecutter-python.git
```

## Contributing

Please read [CONTRIBUTING.md](https://gitlab.com/dreamer-labs/piperci/piperci-boilerplates/blob/master/CONTRIBUTING.md)
for details on our code of conduct, and the process for submitting pull requests
to us.

## Versioning

We use [SemVer](http://semver.org/) for versioning. For the versions available,
see the
[tags on this repository](https://gitlab.com/dreamer-labs/piperci/piperci-cookiecutter-python/-/tags).

## Authors

See also the list of
[contributors](https://github.com/AFCYBER-DREAM/piperci-cookiercutter-default/contributors)
 who participated in this project.

## License

MIT
